Асинхронно генерируйте видео Veo3 через POST /v1/videos в CometAPI, получая id задачи и используя указание первого/последнего кадра для 8-секундных клипов.
curl --request POST \
--url https://api.cometapi.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'prompt=A paper kite floats above a field.' \
--form input_reference='@example-file'{
"created_at": 1773297229,
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"model": "veo_3_1-4K",
"object": "video",
"progress": 0,
"seconds": "",
"size": "16x9",
"status": "queued"
}/v1/videos. При указании model выберите актуальный псевдоним Veo на странице Models page.
input_referenceinput_referenceinput_referenceОтправьте задачу Veo
id.Опрашивайте общий video endpoint
model в ответе может содержать разрешённый id backend-модели, а не псевдоним, который вы отправили. Используйте страницу Models page, чтобы найти актуальные псевдонимы Veo.Bearer token authentication. Use your CometAPI key.
Text prompt for the video job.
"A paper kite floats above a field."
CometAPI Veo alias. Use a current Veo alias from the Models page. The response may resolve this alias to a provider model id.
"veo3-fast"
Orientation hint used by the wrapper. Use a landscape-like value such as 16x9 or a portrait-like value such as 9x16.
"16x9"
Optional image input. Send one file for image-to-video or two ordered files for first-frame and last-frame guidance.
curl --request POST \
--url https://api.cometapi.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'prompt=A paper kite floats above a field.' \
--form input_reference='@example-file'{
"created_at": 1773297229,
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"model": "veo_3_1-4K",
"object": "video",
"progress": 0,
"seconds": "",
"size": "16x9",
"status": "queued"
}